| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::compiler::RuntimeStageData::Shader Struct Reference

`#include <runtime_stage_data.h>`

## Public Member Functions
| Shader ()=default
| Shader (const Shader &)=delete
Shader & | operator= (const Shader &)=delete

## Public Attributes
std::string | entrypoint
spv::ExecutionModel | stage
std::vector< UniformDescription > | uniforms
std::vector< InputDescription > | inputs
std::shared_ptr< fml::Mapping > | shader
RuntimeStageBackend | backend

## Detailed Description

Definition at line 46 of file runtime_stage_data.h.

## Constructor & Destructor Documentation

## ◆ Shader() [1/2]

impeller::compiler::RuntimeStageData::Shader::Shader | ( |  | ) |
| default

## ◆ Shader() [2/2]

impeller::compiler::RuntimeStageData::Shader::Shader | ( | const Shader & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

Shader& impeller::compiler::RuntimeStageData::Shader::operator= | ( | const Shader & |  | ) |
| delete

## Member Data Documentation

## ◆ backend

RuntimeStageBackend impeller::compiler::RuntimeStageData::Shader::backend

Definition at line 54 of file runtime_stage_data.h.

## ◆ entrypoint

std::string impeller::compiler::RuntimeStageData::Shader::entrypoint

Definition at line 49 of file runtime_stage_data.h.

## ◆ inputs

std::vector<InputDescription> impeller::compiler::RuntimeStageData::Shader::inputs

Definition at line 52 of file runtime_stage_data.h.

## ◆ shader

std::shared_ptr<fml::Mapping> impeller::compiler::RuntimeStageData::Shader::shader

Definition at line 53 of file runtime_stage_data.h.

## ◆ stage

spv::ExecutionModel impeller::compiler::RuntimeStageData::Shader::stage

Definition at line 50 of file runtime_stage_data.h.

## ◆ uniforms

std::vector<UniformDescription> impeller::compiler::RuntimeStageData::Shader::uniforms

Definition at line 51 of file runtime_stage_data.h.

The documentation for this struct was generated from the following file:

- impeller/compiler/runtime_stage_data.h